/* ---------------------------------------
File:		cputest.h - C header file
Project:	Portable CPU perfomance test
		(c) Lab of Non-linear computations, 1997.
Author:		Alexander N. Andreyev
----------------------------------------- */

#ifndef _cputest_H
#define _cputest_H

#include "env.h"
#include "printfext.h"
#include "defs.h"
#include "timing/wtime.h"
#include "params.h"

#define KILOBYTE 1024
#define MEGABYTE (1024*1024)
#define MILLION 1000000

double testCPU_MFLOPS(int N,unsigned *mem_alloc);
void mult_matrices(double* C,double *A,double *B, int N);

#endif
