#ifndef _WIN32
#error QueryPerformanceCounter: availiable on Win32 only
#endif

#include"wtime.h"
#include<windows.h>
#include<winperf.h>

__int64 PerformanceFrequency;
__int64 PerformanceCount;

void initTiming() {
		if(!QueryPerformanceFrequency((LARGE_INTEGER*)&PerformanceFrequency)) {
			printf("Performance timer is not supported\nChoose another Wtime!\n"); 
			exit(1);
			}
		printf("Using high-resolution performance counter\n");
		printf("Frequency = %d counts per second\n",(int) PerformanceFrequency);
}

double Wtime() {
	QueryPerformanceCounter((LARGE_INTEGER*)&PerformanceCount);
	return 	((double) PerformanceCount 
				/ (double) PerformanceFrequency);
}

